---
layout: system

menu_title: MathWebSearch
shorttitle: MWS
title: MathWebSearch
teaser: A Mathematical Search Engine

start_date: '2005'
orphan: true
people: 
    - mkohlhase
    - isucan
    - cprodescu
    - rhambasan
    - ahambasan
    - twiesing
supported-by:
    - mathsearch
    - odk
    - oaf

<!-- logo: public/kwarc_logo.svg -->
website: http://search.mathweb.org
repository: https://github.com/MathWebSearch
publink: http://kwarc.github.io/bibs/mws
---

The MathWebSearch system (MWS) is a content-based search engine for mathematical
formulae. It indexes MathML formulae, using a technique derived from automated theorem
proving: Substitution Tree Indexing. With this indexing technique MWS can answer
unification queries extremely efficiently (30-100 ms) on large sets of formulae (in the
Gigaformula range); but the index (up to 50GiB) needs to be kept in main memory.

MWS is the [formula search engine](https://zbmath.org/formulae/) employed in
[Zentralblatt Math](http://zbmath.org); see a
[demo on a mathematical subset](http://arxivsearch.mathweb.org) of the
[arXMLiv data set](/projects/arXMLiv/) [further demos](http://search.mathweb.org).

The MathWebSearch system is Open Source,
[developed on GitHub](https://github.com/MathWebSearch), and is (by now) easily deployable via
a set of docker containers. We can give your project a search interface like the
[nLab search](https://nlabsearch.mathweb.org/) for [nLab](https://ncatlab.org/) at the
cost of theming the [user interface](https://github.com/MathWebSearch/frontend) and
[building a harvester](https://github.com/MathWebSearch/nlab_harvester).
